Skip to main content
GET
/
tags
/
approval_requests
/
{id}
TypeScript
const response: Promise<FireblocksResponse<ApprovalRequest>> = fireblocks.tags.getApprovalRequest(tagsApiGetApprovalRequestRequest);
{
  "id": "12345",
  "type": "TAG_UPDATE",
  "state": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<numeric>
required
Example:

"12345"

Response

Approval request fetched successfully

Approval request details

id
string<numeric>
required

The approval request identifier

Example:

"12345"

type
enum<string>
required

The approval request type

Available options:
TAG_UPDATE,
TAG_DELETE,
TAG_ATTACH_DETACH
state
enum<string>
required

The approval request state

Available options:
PENDING,
APPROVED,
REJECTED,
FAILED,
CANCELLED,
EXPIRED